Subject: Re: [PATCH] [RFC] C/R: inet4 and inet6 unicast routes (v2)

From: Dan Smith <[email-masked]>
Date: Fri, 30 Apr 2010 11:25:56 -0700

SH> So I'm afraid you're going to have to do a slightly uglier thing
SH> where you unshare_nsproxy_namespaces() and then
SH> switch_task_namespaces() to the new nsproxy.

Well, I think that would be hidden in the nicer helper function I
think I'll need, which I eluded to in the patch header.  This is just
an RFC proof that it can be done in this manner, but I think a
separate helper in nsproxy.c is in order to make it nice (and avoid
the extra alloc/free of the netns that copy_namespaces() will create).
Agreed?

Thanks!

-- 
Dan Smith
IBM Linux Technology Center
email: [email-masked]